grails 2.3.6 doesnt work

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

grails 2.3.6 doesnt work

littlej
Hi, as a new grails user, I just downloaded grails 2.3.6, unzipped it, created an env var called GRAILS_HOME pointing to this dir, then added %GRAILS_HOME%/bin to my path (windows 7 pro 64 bit).  Now when I open a new command prompt, and type "grails - version", it says:

Grails version:2.3.6.

However, when I type "grails create-app myapp" in my dev directory, it give a huge error message, the end of which is below. I have trebble checked the path and the GRAILS_HOME are correct.  Unless I missed a magic step, it would seem that the current grails download is seriously broken?

 

         D:\dev\grails-2.3.6\plugins\grails-plugin-url-mappings-2.3.6.jar

               ::::::::::::::::::::::::::::::::::::::::::::::

               ::          UNRESOLVED DEPENDENCIES         ::

               ::::::::::::::::::::::::::::::::::::::::::::::

               :: org.grails#grails-plugin-rest;2.3.6: not found

               :: org.grails#grails-plugin-databinding;2.3.6: not found

               :: org.grails#grails-plugin-i18n;2.3.6: not found

               :: org.grails#grails-plugin-filters;2.3.6: not found

               :: org.grails#grails-plugin-gsp;2.3.6: not found

               :: org.grails#grails-plugin-log4j;2.3.6: not found

               :: org.grails#grails-plugin-services;2.3.6: not found

               :: org.grails#grails-plugin-servlets;2.3.6: not found

               :: org.grails#grails-plugin-url-mappings;2.3.6: not found

               ::::::::::::::::::::::::::::::::::::::::::::::


 Error Resolve error obtaining dependencies: Failed to resolve dependencies (Se
 log level to 'warn' in BuildConfig.groovy for more information):

 org.grails:grails-plugin-rest:2.3.6
 org.grails:grails-plugin-databinding:2.3.6
 org.grails:grails-plugin-i18n:2.3.6
 org.grails:grails-plugin-filters:2.3.6
 org.grails:grails-plugin-gsp:2.3.6
 org.grails:grails-plugin-log4j:2.3.6
 org.grails:grails-plugin-services:2.3.6
 org.grails:grails-plugin-servlets:2.3.6
 org.grails:grails-plugin-url-mappings:2.3.6

(Use --stacktrace to see the full trace)
 Error Failed to resolve dependencies (Set log level to 'warn' in BuildConfig.g
oovy for more information):

 org.grails:grails-scripts:2.3.6


 Run 'grails dependency-report' for further information.
Reply | Threaded
Open this post in threaded view
|

Re: grails 2.3.6 doesnt work

littlej
At the end of the error message, it says to run "grails dependency-report". But when I try this, I get exactly the same error output.
Reply | Threaded
Open this post in threaded view
|

Re: grails 2.3.6 doesnt work

littlej
In reply to this post by littlej
also tried "grails clean" and also removing the home/.grails dir, neither of which mande any difference.
Reply | Threaded
Open this post in threaded view
|

Re: grails 2.3.6 doesnt work

Jeff Scott Brown-2
In reply to this post by littlej


On February 28, 2014 at 3:02:53 AM, littlej ([hidden email]) wrote:

>  
> I see the symptom, but not how to cure it. For some uknown reason,  
> grails is
> searching in an old install dir intiially:
>  
>  
> $ grails create-app re
> |Loading Grails 2.3.6
> |Configuring classpath
> :: problems summary ::
> :::: WARNINGS
> module not found: org.grails#grails-scripts;2.3.6
>  
> ==== grailsPlugins: tried
>  
> -- artifact org.grails#grails-scripts;2.3.6!grails-scripts.jar:  
>  
> D:\copy\grails\lib\grails-scripts-2.3.6.jar
>  
> Here its looking in D:\copy\grails
>  
> But GRAILS_HOME is defined as: GRAILS_HOME='D:\dev\grails-2.3.6'  
>  
> I deleted home/.grails
> and tried grails clean.
>  
> Nothing helps - something is forcing it to use an old version which  
> does not
> exist.
>  

Please ask on the user list.



JSB

--
Jeff Scott Brown
[hidden email]

Autism Strikes 1 in 166  
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/



---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email